libfuse

Data Fields
fuse_loop_config Struct Reference

`#include <fuse_i.h>`

## Data Fields
int | clone_fd
unsigned int | max_idle_threads
int | max_idle_threads
unsigned int | max_threads

## Detailed Description

Configuration parameters passed to fuse_session_loop_mt() and fuse_loop_mt().

Internal API to avoid exposing the plain data structure and causing compat issues after adding or removing struct members.

Definition at line 126 of file fuse_common.h.

## Field Documentation

## ◆ clone_fd

int fuse_loop_config::clone_fd

whether to use separate device fds for each thread (may increase performance)

Definition at line 134 of file fuse_common.h.

## ◆ max_idle_threads [1/2]

unsigned int fuse_loop_config::max_idle_threads

The maximum number of available worker threads before they start to get deleted when they become idle. If not specified, the default is 10.

Adjusting this has performance implications; a very small number of threads in the pool will cause a lot of thread creation and deletion overhead and performance may suffer. When set to 0, a new thread will be created to service every operation.

Definition at line 146 of file fuse_common.h.

## ◆ max_idle_threads [2/2]

int fuse_loop_config::max_idle_threads

The maximum number of available worker threads before they start to get deleted when they become idle. If not specified, the default is 10.

Adjusting this has performance implications; a very small number of threads in the pool will cause a lot of thread creation and deletion overhead and performance may suffer. When set to 0, a new thread will be created to service every operation. The special value of -1 means that this parameter is disabled.

Definition at line 131 of file fuse_i.h.

## ◆ max_threads

unsigned int fuse_loop_config::max_threads

max number of threads taking and processing kernel requests

As of now threads are created dynamically

Definition at line 138 of file fuse_i.h.

The documentation for this struct was generated from the following files:

- include/fuse_common.h
- lib/fuse_i.h